# Trade App One Design System

> Made with Vue

## Documentation

Access [TAO DS Documentation](https://tradeappone.gitbook.io/design-system/)

## Folder Architecture

Components are found at ```packages/```
SCSS Varibles are found at ```theme/scss/variables```

## How to use

You can import globally
```js
import Vue from 'vue'
import TaoDesignSystem from 'tao-design-system';

Vue.use(TaoDesignSystem)
```
or use in your components
```js
import { TaoInput } from 'tao-design-system';

export default {
  components: {
    TaoInput,
    ...
  }
}
```

---

to use TaoValidator plugin, import
```js
import TaoDesignSystem, { TaoValidator } from 'tao-design-system';

Vue.use(TaoDesignSystem)
Vue.use(TaoValidator)
```
or use without components
```js
import { TaoValidator } from 'tao-design-system';

Vue.use(TaoValidator)
```

Access [TAO Input Validator](https://tradeappone.gitbook.io/design-system/front-end/validador-de-inputs) to see docs.